Subject: bug#24678: Emacs crash on macOS 10.12 "Sierra": nextEventMatchingMask from background thread

From: Jean de Largentaye <[email-masked]>
Date: Wed, 12 Oct 2016 19:44:01 +0000

crashing in org.gnu.Emacs in deliver_fatal_thread_signal • Uncaught
Exception 'NSInternalInconsistencyException': nextEventMatchingMask should
only be called from the Main Thread!terminating with uncaught exception of
type NSException : at com.apple.AppKit in -[NSApplication(NSEvent)
shouldBeTreatedAsInkEvent:] + 0

Apparently, calling nextEventMatchingMask from a background thread is
risky, and this has been made an assert as on 10.12, hence the crash.